Charges - List

Enumera los cargos basados en el ámbito definido.

GET https://management.azure.com/{scope}/providers/Microsoft.Consumption/charges?api-version=2024-08-01
GET https://management.azure.com/{scope}/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate={startDate}&endDate={endDate}&$filter={$filter}&$apply={$apply}

Parámetros de identificador URI

Nombre En Requerido Tipo Description
scope
path True

string

Identificador completo de Azure Resource Manager del recurso.

api-version
query True

string

minLength: 1

La versión de API que se va a utilizar para esta operación.

$apply
query

string

Puede usarse para agrupar los cargos para el ámbito billingAccount por propiedades/billingProfileId, properties/invoiceSectionId, properties/customerId (específico para partner Led) o para el ámbito billingProfile por properties/invoiceSectionId.

$filter
query

string

Puede usarse para filtrar los cargos por propiedades/usageEnd (hora Utc), properties/usageStart (hora Utc). El filtro admite 'eq', 'lt', 'gt', 'le', 'ge' y 'and'. Actualmente no admite 'ne', 'or' o 'not'. El filtro de etiquetas es una cadena de par clave-valor donde la clave y el valor están separados por dos puntos (:).

endDate
query

string

Fecha de finalización

startDate
query

string

Fecha de inicio

Respuestas

Nombre Tipo Description
200 OK

ChargesListResult

La solicitud se ha realizado correctamente.

Other Status Codes

ErrorResponse

Una respuesta de error inesperada.

Seguridad

azure_auth

Flujo de OAuth2 de Azure Active Directory.

Tipo: oauth2
Flujo: implicit
Dirección URL de autorización: https://login.microsoftonline.com/common/oauth2/authorize

Ámbitos

Nombre Description
user_impersonation suplantar la cuenta de usuario

Ejemplos

ChangesForBillingPeriodByDepartment-Legacy
ChangesForBillingPeriodByEnrollmentAccount-Legacy
ChargesListByBillingAccount-Modern
ChargesListByBillingAccountGroupByBillingProfileId-Modern
ChargesListByBillingAccountGroupByCustomerId-Modern
ChargesListByBillingAccountGroupByInvoiceSectionId-Modern
ChargesListByBillingProfile-Modern
ChargesListByBillingProfileGroupByInvoiceSectionId-Modern
ChargesListByBillingProfileInvoiceSection-Modern
ChargesListByCustomer-Modern
ChargesListByDepartment-Legacy
ChargesListByInvoiceSectionId-Modern
ChargesListForEnrollmentAccount-Legacy

ChangesForBillingPeriodByDepartment-Legacy

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChangesForBillingPeriodByEnrollmentAccount-Legacy

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChargesListByBillingAccount-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-10-31

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": null,
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2019-10-31",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByBillingProfileId-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/billingProfileId))

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/123456/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/123456",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByCustomerId-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/customerId))

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "customerId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890",
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789/customers/123456/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "customerId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/123456",
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByInvoiceSectionId-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/invoiceSectionId))

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789//billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingProfile-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/billingProfiles/2460/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListByBillingProfileGroupByInvoiceSectionId-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/invoiceSectionId))

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789//billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingProfileInvoiceSection-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-10-31

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-10-31",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByCustomer-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": null,
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListByDepartment-Legacy

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&$filter=usageStart eq '2018-04-01' AND usageEnd eq '2018-05-30'

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChargesListByInvoiceSectionId-Modern

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/invoiceSections/97531/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/invoiceSections/97531/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 12
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 0
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/invoiceSections/97531",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListForEnrollmentAccount-Legacy

Solicitud de ejemplo

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respuesta de muestra

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

Definiciones

Nombre Description
amount

Cantidad más moneda .

ChargesListResult

Resultado del resumen de cargos de la lista.

ChargeSummaryKind

Especifica el tipo de resumen de cargos.

createdByType

Tipo de identidad que creó el recurso.

ErrorAdditionalInfo

Información adicional sobre el error de administración de recursos.

ErrorDetail

Detalle del error.

ErrorResponse

Respuesta de error

LegacyChargeSummary

Resumen de cargos heredados.

ModernChargeSummary

Resumen de cargos modernos.

systemData

Metadatos relativos a la creación y última modificación del recurso.

amount

Cantidad más moneda .

Nombre Tipo Description
currency

string

Moneda de importe.

value

number (decimal)

Importe.

ChargesListResult

Resultado del resumen de cargos de la lista.

Nombre Tipo Description
value ChargeSummary[]:

La lista de resumen de cargos

ChargeSummaryKind

Especifica el tipo de resumen de cargos.

Valor Description
legacy
modern

createdByType

Tipo de identidad que creó el recurso.

Valor Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Información adicional sobre el error de administración de recursos.

Nombre Tipo Description
info

object

Información adicional.

type

string

Tipo de información adicional.

ErrorDetail

Detalle del error.

Nombre Tipo Description
additionalInfo

ErrorAdditionalInfo[]

Información adicional del error.

code

string

Código de error.

details

ErrorDetail[]

Detalles del error.

message

string

El mensaje de error.

target

string

Destino del error.

ErrorResponse

Respuesta de error

Nombre Tipo Description
error

ErrorDetail

Objeto de error.

LegacyChargeSummary

Resumen de cargos heredados.

Nombre Tipo Description
eTag

string

eTag del recurso. Para controlar el escenario de actualización simultánea, este campo se usará para determinar si el usuario está actualizando la versión más reciente o no.

id

string

Identificador de recurso completo para el recurso. Ej: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

legacy

Especifica el tipo de resumen de cargos.

name

string

Nombre del recurso

properties.azureCharges

number (decimal)

Cargos de Azure.

properties.azureMarketplaceCharges

number (decimal)

Cargos de Marketplace.

properties.billingPeriodId

string

Identificador del recurso del período de facturación al que pertenece el cargo.

properties.chargesBilledSeparately

number (decimal)

Cargos facturados por separado.

properties.currency

string

Cód. divisa

properties.usageEnd

string

Fecha de finalización del uso.

properties.usageStart

string

Fecha de inicio del uso.

systemData

systemData

Metadatos de Azure Resource Manager que contienen información createdBy y modifiedBy.

type

string

Tipo de recurso. Por ejemplo, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"

ModernChargeSummary

Resumen de cargos modernos.

Nombre Tipo Description
eTag

string

eTag del recurso. Para controlar el escenario de actualización simultánea, este campo se usará para determinar si el usuario está actualizando la versión más reciente o no.

id

string

Identificador de recurso completo para el recurso. Ej: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

modern

Especifica el tipo de resumen de cargos.

name

string

Nombre del recurso

properties.azureCharges

amount

Cargos de Azure.

properties.billingAccountId

string

Identificador de cuenta de facturación

properties.billingPeriodId

string

Identificador del recurso del período de facturación al que pertenece el cargo.

properties.billingProfileId

string

Id. de perfil de facturación

properties.chargesBilledSeparately

amount

Cargos facturados por separado.

properties.customerId

string

Id. de cliente

properties.invoiceSectionId

string

Id. de sección de factura

properties.isInvoiced

boolean

Se factura el cargo

properties.marketplaceCharges

amount

Cargos de Marketplace.

properties.subscriptionId

string

Guid de suscripción.

properties.usageEnd

string

Fecha de finalización del uso.

properties.usageStart

string

Fecha de inicio del uso.

systemData

systemData

Metadatos de Azure Resource Manager que contienen información createdBy y modifiedBy.

type

string

Tipo de recurso. Por ejemplo, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"

systemData

Metadatos relativos a la creación y última modificación del recurso.

Nombre Tipo Description
createdAt

string (date-time)

Marca de tiempo de creación de recursos (UTC).

createdBy

string

Identidad que creó el recurso.

createdByType

createdByType

Tipo de identidad que creó el recurso.

lastModifiedAt

string (date-time)

La marca de tiempo de la última modificación del recurso (UTC)

lastModifiedBy

string

La identidad que modificó por última vez el recurso.

lastModifiedByType

createdByType

El tipo de identidad que modificó por última vez el recurso.